Debian Bug report logs - #732603
ITP: python-daemonize -- Python module for writing system daemons

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 19 Dec 2013 09:51:01 UTC

Owned by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Severity: wishlist

Tags: pending, wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, python-modules-team@lists.alioth.debian.org, ilya.otyutskiy@icloud.com, wnpp@debian.org:
Bug#732603; Package wnpp. (Thu, 19 Dec 2013 09:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, python-modules-team@lists.alioth.debian.org, ilya.otyutskiy@icloud.com, wnpp@debian.org. (Thu, 19 Dec 2013 09:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-daemonize -- Python module for writing system daemons
Date: Thu, 19 Dec 2013 10:46:02 +0100
Package: wnpp
Severity: wishlist
Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

* Package name    : python-daemonize
  Version         : 2.2.1
  Upstream Author : Ilya Otyutskiy <ilya.otyutskiy@icloud.com>
* URL             : http://pypi.python.org/pypi/daemonize
* License         : Expat
  Programming Lang: Python
  Description     : Python module for writing system daemons

 The daemonize module provides a simple class (Daemonize) that
 handles forking a sub-fraction of your Python script to background.
 .
 It takes care of:
    - changing the applications directory to '/'
    - setting umask 0027 for root daemons
    - creating a locked PID file
    - closing open file descriptors
    - removing PID file on daemon exit
    - handling SIGTERM signals
    - logging daemon actions to /dev/lo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#732603; Package wnpp. (Thu, 19 Dec 2013 10:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Thu, 19 Dec 2013 10:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 732603@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: debian-devel@lists.debian.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 732603@bugs.debian.org
Subject: Re: Bug#732603: ITP: python-daemonize -- Python module for writing system daemons
Date: Thu, 19 Dec 2013 10:19:55 +0000
[Message part 1 (text/plain, inline)]
On Thu, 19 Dec 2013 10:46:02 +0100
Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
> 
> * Package name    : python-daemonize
>   Version         : 2.2.1
>   Upstream Author : Ilya Otyutskiy <ilya.otyutskiy@icloud.com>
> * URL             : http://pypi.python.org/pypi/daemonize
> * License         : Expat
>   Programming Lang: Python
>   Description     : Python module for writing system daemons

How does this compare to python-daemon which already exists in Debian
and which does the same job?

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#732603; Package wnpp. (Thu, 19 Dec 2013 10:54:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 19 Dec 2013 10:54:14 GMT) Full text and rfc822 format available.

Message #15 received at 732603@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Neil Williams <codehelp@debian.org>, 732603@bugs.debian.org
Subject: Re: Bug#732603: ITP: python-daemonize -- Python module for writing system daemons
Date: Thu, 19 Dec 2013 10:51:26 +0000
[Message part 1 (text/plain, inline)]
Hi Neil,

On  Do 19 Dez 2013 11:19:55 CET, Neil Williams wrote:

> On Thu, 19 Dec 2013 10:46:02 +0100
> Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:
>
>> Package: wnpp
>> Severity: wishlist
>> Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>>
>> * Package name    : python-daemonize
>>   Version         : 2.2.1
>>   Upstream Author : Ilya Otyutskiy <ilya.otyutskiy@icloud.com>
>> * URL             : http://pypi.python.org/pypi/daemonize
>> * License         : Expat
>>   Programming Lang: Python
>>   Description     : Python module for writing system daemons
>
> How does this compare to python-daemon which already exists in Debian
> and which does the same job?

basically because it is more actively maintained (last release 2012,  
whereas python-daemon has been worked on by upstream in 2010).

Also python-daemonize works with Python3 whereas python-daemon does  
not. Python daemonize is far less complex than python-daemon.

However, providing a pyhon3-package is still on my list, my current  
use case is python2 related.

Thanks for asking!
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 19 Dec 2013 19:06:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#732603; Package wnpp. (Fri, 20 Dec 2013 02:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Fri, 20 Dec 2013 02:06:05 GMT) Full text and rfc822 format available.

Message #22 received at 732603@bugs.debian.org (full text, mbox):

From: Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
To: Neil Williams <codehelp@debian.org>
Cc: debian-devel@lists.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 732603@bugs.debian.org
Subject: Re: Bug#732603: ITP: python-daemonize -- Python module for writing system daemons
Date: Fri, 20 Dec 2013 03:02:06 +0100
On Thu, Dec 19, 2013 at 10:19:55AM +0000, Neil Williams wrote:
> On Thu, 19 Dec 2013 10:46:02 +0100
> Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:
> 
> > Package: wnpp
> > Severity: wishlist
> > Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
> > 
> > * Package name    : python-daemonize
> >   Version         : 2.2.1
> >   Upstream Author : Ilya Otyutskiy <ilya.otyutskiy@icloud.com>
> > * URL             : http://pypi.python.org/pypi/daemonize
> > * License         : Expat
> >   Programming Lang: Python
> >   Description     : Python module for writing system daemons
> 
> How does this compare to python-daemon which already exists in Debian
> and which does the same job?
Hi,
this probably should wait until [1] is resolved.

Nevertheless, looking at http://daemonize.sourceforge.net/daemonize.txt,
this package is racy: the parent exits before child is ready (or
even executed). This means that it cannot be used to reliably start a
dameon. A nice write-up of what is necessary is in [2].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=727708
[2] http://www.freedesktop.org/software/systemd/man/daemon.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#732603; Package wnpp. (Fri, 20 Dec 2013 09:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 20 Dec 2013 09:27:05 GMT) Full text and rfc822 format available.

Message #27 received at 732603@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>, 732603@bugs.debian.org, Neil Williams <codehelp@debian.org>
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#732603: ITP: python-daemonize -- Python module for writing system daemons
Date: Fri, 20 Dec 2013 09:22:30 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 wontfix

Hi all,

On  Fr 20 Dez 2013 03:02:06 CET, Zbigniew Jędrzejewski-Szmek wrote:

> On Thu, Dec 19, 2013 at 10:19:55AM +0000, Neil Williams wrote:
>> On Thu, 19 Dec 2013 10:46:02 +0100
>> Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:
>>
>> > Package: wnpp
>> > Severity: wishlist
>> > Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>> >
>> > * Package name    : python-daemonize
>> >   Version         : 2.2.1
>> >   Upstream Author : Ilya Otyutskiy <ilya.otyutskiy@icloud.com>
>> > * URL             : http://pypi.python.org/pypi/daemonize
>> > * License         : Expat
>> >   Programming Lang: Python
>> >   Description     : Python module for writing system daemons
>>
>> How does this compare to python-daemon which already exists in Debian
>> and which does the same job?
> Hi,
> this probably should wait until [1] is resolved.
>
> Nevertheless, looking at http://daemonize.sourceforge.net/daemonize.txt,
> this package is racy: the parent exits before child is ready (or
> even executed). This means that it cannot be used to reliably start a
> dameon. A nice write-up of what is necessary is in [2].
>
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=727708
> [2] http://www.freedesktop.org/software/systemd/man/daemon.html

I have just asked on #debian-ftp to reject my already uploaded package  
as I also have found a couple of issues with python-daemonize after  
several more tests (stderr not cleanly closed, exception when a  
process exits cleanly and the method registered with atexit is evoked,  
etc.).

Meanwhile I could implement my code project using python-daemon and it  
indeed works much cleaner!!!

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 732603-submit@bugs.debian.org. (Fri, 20 Dec 2013 09:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:18:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.